//
//  FaqListDM.swift
//  WOKA
//
//  Created by MacBook Pro on 03/06/24.
//

import Foundation

// MARK: - Welcome
struct FaqListDM: Codable {
    let result: [ResultData]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct ResultData: Codable {
        let id: Int?
        let englishQuestion, englishAnswer, hindiQuestion, hindiAnswer: String?
        let categoryMasterID: Int?
        var isExpanded : Bool? = false
        
        enum CodingKeys: String, CodingKey {
            case id
            case englishQuestion = "english_question"
            case englishAnswer = "english_answer"
            case hindiQuestion = "hindi_question"
            case hindiAnswer = "hindi_answer"
            case categoryMasterID = "category_master_id"
        }
    }

}
